"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const eslint_1 = require("eslint");
const index_1 = __importDefault(require("../../index"));
describe("Don't crash even if without vue-eslint-parser.", () => {
    const code = "var a;";
    for (const [key, rule] of Object.entries(index_1.default.rules)) {
        const ruleId = `vuejs-accessibility/${key}`;
        it(ruleId, () => {
            const linter = new eslint_1.Linter();
            linter.defineRule(ruleId, rule);
            const config = {
                parser: "espree",
                rules: {
                    [ruleId]: "error"
                }
            };
            const resultVue = linter.verifyAndFix(code, config, "test.vue");
            for (const { message } of resultVue.messages) {
                assert_1.default.strictEqual(message, "Use the latest vue-eslint-parser. See also https://eslint.vuejs.org/user-guide/#what-is-the-use-the-latest-vue-eslint-parser-error.");
            }
            const resultJs = linter.verifyAndFix(code, config, "test.js");
            assert_1.default.strictEqual(resultJs.messages.length, 0);
        });
    }
});
